## This function apply t-SNE to embedd the phenotypic signatures on
##  a 2D map. We exploited a new and fast implementation of t-SNE called Bh-tSNE.
## This version approximately solves the Kullback-Leibler divergence (KL) (equation 14).
## For more detail please see: L.J.P. van der Maaten. Accelerating t-SNE using Tree-Based Algorithms. 
## Journal of Machine Learning Research 15(Oct):3221-3245, 2014.

TwoDTsneEmbedding<-function(x){
        
        

#PP<-unique(pp)

cat("Computing the embeddings: ", "\n")

tsne_out <- Rtsne(as.matrix(x), dims = 2, initial_dims = 8, perplexity = 5, theta = 0.1,
                  check_duplicates = FALSE, pca = FALSE)

data2Dpp<-tsne_out$Y

##########################################################
data2Dpp<-sapply(as.data.frame(data2Dpp),normal)

return (data2Dpp)

}