% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MainFunction.R
\name{SigClust}
\alias{SigClust}
\title{Identifying Cell Populations in Flow Cytometry Data Using Phenotypic Signatures}
\usage{
SigClust(x)
}
\arguments{
\item{x}{a N x M matrix of N cells including M cell markers}
}
\value{
a vector of generated clustered labels
}
\description{
This fucntion identify homoginious cell populations within the cytometry data.
}
\details{
This method works based on a hybrid technique that estimates the initial clusters in high dimension
and identifies the final clusters by merging clusters using their phenotypic signatures in low dimension.
}
\examples{
library(SigClust)
data(x,package = "SigClust")
Label<-SigClust(x)
}
\author{
Maziyar Baran Pouyan
}
\seealso{
\code{Rtsne}
}

